Page MenuHomePhabricator

"Enable dialogs for inserting links, tables and more" preference is confusing
Closed, InvalidPublic

Description

The wording of the preference "Enable dialogs for inserting links, tables and more" is very confusing.

It does several very different things:

  • Turns the link button from just adding [[]] to a whole dialog.
  • Turns the table button from adding a 3x3 table to a whole dialog.
  • Add the Search and Replace button, that doesn't exit without it at all.
  • (Something else that i missed?)

The Search and Replace should just always be enabled. It's a useful feature.

The table dialog can probably always be on.

The link dialog can also be always on, because people who like coding manually (like me) won't miss a button that just adds [[]] and people who are less technical would appreciate the dialog.

In short, this preference should just be removed and its functionality should be on by default.

See also Bug 28555.


Version: unspecified
Severity: enhancement

Details

Reference
bz30796

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:49 PM
bzimport added a project: WikiEditor.
bzimport set Reference to bz30796.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Sep 7 2011, 8:09 AM
brion added a comment.Sep 7 2011, 7:07 PM

I'd strongly recommend dropping the preference as well.

Seems like it'd be a simple patch -- not that I know anything about it.

Can you tell which PHP file controls the preferences settings??

removes the preferences for dialogs and sets it to global

set $wgWikiEditorFeatures[dialogs][global]=true in wikiEditor.php
and removed dialogs preferences in wikiEditor.hooks.php

Attached:

sumanah wrote:

Added keywords to indicate that patch awaits review. Thanks, Nischay.

  1. The patch should be created using svn diff, according to instructions here: https://www.mediawiki.org/wiki/Patch
  1. The preference should be removed completely and not just hidden and made true.

2nd patch

This patch does the following

  1. removes the preferences from the dialogs and toolbar in file WikiEditor.hooks.php
  2. set global=true for dialogs and toolbar and user=false so that it is not user preference based anymore

Attached:

  • The corresponding messages in the i18n file must be removed.
  • As earlier, the showing of the dialogs and the buttons is not supposed to be conditional at all - they should just always be shown.

removes messages from i18n file

Attached:

TheDJ closed this task as Invalid.Nov 13 2018, 4:21 PM
TheDJ added a subscriber: TheDJ.

We no longer have the mode without dialogs since MW 1.31 T165112: Kill of most/all the WikiEditor RL modules

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 12:01 PM